Subject: Re: CR/LF problems,
From: Mark Tigges <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Jan 2001 15:18:18 -0800

"Larry Hall (RFK Partners, Inc)" wrote:
> 
> At 05:05 PM 1/11/2001, Mark Tigges wrote:
> >Hi,
> >
> >I just upgraded my cygwin to the latest version in order to
> >satisfy xemacs requirements.
> >
> >Unfortunately now I am completely unable to make cygwin in
> >anyway not perform \r\n translation.
> >
> >This is critical since any Makefile's created in cygwin will not
> >work in unix.
> >
> >The relevant mount is mounted as binary:
> >Device              Directory           Type         Flags
> >\\cardano\anm       /anm                user         binmode
> >d:\bin              /usr/bin            system       binmode
> >d:\lib              /usr/lib            system       binmode
> >d:                  /                   system       binmode
> >
> >and when I installed I checked "Unix" as the default text file
> >mode.  However, as I said it seems to have no effect (I have tried
> >both tty and binmode in the CYGWIN variable (also  CYGWIN32 as I
> >saw sporadic mention of it in the user guide as well)).
> >
> >I am at a complete loss as to what is causing the problem.  If
> >anybody knows how to effectively eradicate any \r\n translation
> >I would be hugely appreciated to be enlightened.
> >
> >Thanks,
> >
> >Mark.
> 
> Its hard to tell what's wrong without knowing what you're doing.  Still,
> from what you've provided, your mounts look fine, which means if some app
> writes without binary specified, you should see the resulting file as
> binary.  The mounts don't protect you from those apps that write in text
> mode.  Perhaps that's your problem?  Output of cygcheck -s -r -v might
> be helpful to you but I'm left with the impression that the trouble lies
> elsewhere...

The trouble lies everywhere, I use 'cat > filename' or xemacs, or
(cygwin compiled posix) python scripts that programmatically create
files (like Makefile) that all have \r\n, this behaviour does not
match the behaviour of the previous installation of cygwin that I 
had (I believe 1.0), that's why I am so frustrated.

Is there no way to force cygwin to the behaviour that I grew used to.

Our automatically generated Makefile's are only useable under cygnus
with this behaviour - something that is not acceptable.

Cheers,
Mark.

> 
> tty and binmode settings no affect on file modes.  CYGWIN32 is an old
> reference to the now named CYGWIN environment variable.  Setting CYGWIN32
> to anything will have no affect.
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple